<?php

/*********************************************************************

 freo | 管理画面 | メディア入力 (2010/09/01)

 Copyright(C) 2009-2010 freo.jp

*********************************************************************/

//外部ファイル読み込み
require_once FREO_MAIN_DIR . 'freo/internals/validate_media.php';

/* メイン処理 */
function freo_main()
{
	global $freo;

	//ログイン状態確認
	if ($freo->user['authority'] != 'root' and $freo->user['authority'] != 'author') {
		freo_redirect('login', true);
	}

	//パラメータ検証
	if (!isset($_GET['directory']) or !preg_match('/^[\w\-\/]+$/', $_GET['directory'])) {
		$_GET['directory'] = null;
	}

	//リクエストメソッドに応じた処理を実行
	if ($_SERVER['REQUEST_METHOD'] == 'POST') {
		//ワンタイムトークン確認
		if (!freo_token('check', (isset($_GET['type']) ? $_GET['type'] : null))) {
			$freo->smarty->append('errors', '不正なアクセスです。');
		}

		//アップロードデータ初期化
		if (!isset($_FILES['media']['tmp_name']['file'])) {
			$_FILES['media']['tmp_name']['file'] = null;
		}

		//アップロードデータ取得
		if (is_uploaded_file($_FILES['media']['tmp_name']['file'])) {
			$_POST['media']['file'] = $_FILES['media']['name']['file'];
		} else {
			$_POST['media']['file'] = null;
		}

		//入力データ検証
		if (!$freo->smarty->get_template_vars('errors')) {
			$errors = freo_validate_media('insert', $_POST);

			if ($errors) {
				foreach ($errors as $error) {
					$freo->smarty->append('errors', $error);
				}
			}
		}

		//ファイルアップロード
		$file_flag = false;

		if (!$freo->smarty->get_template_vars('errors')) {
			if (is_uploaded_file($_FILES['media']['tmp_name']['file'])) {
				$temporary_dir = FREO_FILE_DIR . 'temporaries/medias/';

				if (move_uploaded_file($_FILES['media']['tmp_name']['file'], $temporary_dir . $_FILES['media']['name']['file'])) {
					chmod($temporary_dir . $_FILES['media']['name']['file'], 0606);

					$file_flag = true;
				} else {
					$freo->smarty->append('errors', 'ファイルをアップロードできません。');
				}

				if ($file_flag) {
					if ($freo->config['media']['thumbnail']) {
						$thumbnail_width  = isset($_POST['media']['thumbnail_width'])  ? $_POST['media']['thumbnail_width']  : $freo->config['media']['thumbnail_width'];
						$thumbnail_height = isset($_POST['media']['thumbnail_height']) ? $_POST['media']['thumbnail_height'] : $freo->config['media']['thumbnail_height'];

						freo_resize($temporary_dir . $_FILES['media']['name']['file'], FREO_FILE_DIR . 'temporaries/media_thumbnails/' . $_FILES['media']['name']['file'], $thumbnail_width, $thumbnail_height);
					}
					if ($freo->config['media']['original']) {
						freo_resize($temporary_dir . $_FILES['media']['name']['file'], $temporary_dir . $_FILES['media']['name']['file'], $freo->config['media']['original_width'], $freo->config['media']['original_height']);
					}
				}
			}
		}

		//エラー確認
		if ($freo->smarty->get_template_vars('errors')) {
			//エラー表示
			$media = $_POST['media'];
		} else {
			$_SESSION['input'] = $_POST;

			//登録処理へ移動
			freo_redirect('admin/media_post?freo%5Btoken%5D=' . freo_token('create', (isset($_GET['type']) ? $_GET['type'] : null)) . (isset($_GET['type']) ? '&type=' . $_GET['type'] : ''));
		}
	} else {
		//新規データ設定
		$media = array(
			'thumbnail_width'  => $freo->config['media']['thumbnail_width'],
			'thumbnail_height' => $freo->config['media']['thumbnail_height']
		);
	}

	//データ割当
	$freo->smarty->assign(array(
		'token' => freo_token('create', (isset($_GET['type']) ? $_GET['type'] : null)),
		'input' => array(
			'media' => $media
		)
	));

	if (isset($_GET['type']) and $_GET['type'] == 'iframe') {
		//データ出力
		freo_output('internals/admin/iframe_media_form.html');
	}

	return;
}

?>
